Summary:	Linux WPA Supplicant (IEEE 802.1X, WPA, WPA2, RSN, IEEE 802.11i)
Name:		wpa_supplicant
Version:	2.3
%define subrel	1
Release:	%mkrel 3
License:	GPL
Group:		Communications/Mobile
URL:		http://hostap.epitest.fi/wpa_supplicant/
Source0:	http://hostap.epitest.fi/releases/wpa_supplicant-%{version}.tar.gz
Source1:	wpa_supplicant.service
Source2:	wpa_supplicant.sysconfig
Source3:	wpa_supplicant.logrotate
Source4:	wpa_supplicant.tmpfiles
Patch0:		wpa_supplicant-2.2-mga-defconfig.patch

Patch1:		0001-WPS-Reject-a-Credential-with-invalid-passphrase.patch
Patch2:		0002-Reject-psk-parameter-set-with-invalid-passphrase-cha.patch
Patch3:		0003-Remove-newlines-from-wpa_supplicant-config-network-o.patch
Patch4:		0004-Reject-SET_CRED-commands-with-newline-characters-in-.patch
Patch5:		0005-Reject-SET-commands-with-newline-characters-in-the-s.patch

Patch9:		wpa_supplicant-1.0-mga-dbus-service-file-args.patch

# fedrora patches
# quiet an annoying and frequent syslog message
Patch13: wpa_supplicant-2.2-quiet-scan-results-message.patch
# allow more private key encryption algorithms
Patch15: wpa_supplicant-openssl-more-algs.patch
# distro specific customization for Qt4 build tools, not suitable for upstream
Patch16: wpa_supplicant-gui-qt4.patch
# Fix libnl3 includes path
Patch17: libnl3-includes.patch
# Less aggressive roaming; signal strength is wildly variable
Patch18: rh837402-less-aggressive-roaming.patch
Patch20: wpa_supplicant-2.2-generate-libeap-peer.patch
BuildRequires:	dbus-devel
BuildRequires:	libopenssl-devel
BuildRequires:	pcsc-lite-devel
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
BuildRequires:	doxygen
BuildRequires:	qt4-devel
BuildRequires:  libnl3-devel
Requires(post): systemd >= %{systemd_required_version}

%description
wpa_supplicant is a WPA Supplicant for Linux, BSD and Windows with
support for WPA and WPA2 (IEEE 802.11i / RSN). Supplicant is the IEEE
802.1X/WPA component that is used in the client stations. It
implements key negotiation with a WPA Authenticator and it controls
the roaming and IEEE 802.11 authentication/association of the wlan
driver.

wpa_supplicant is designed to be a "daemon" program that runs in the
background and acts as the backend component controlling the wireless
connection. wpa_supplicant supports separate frontend programs and an
example text-based frontend, wpa_cli, is included with wpa_supplicant.

Supported WPA/IEEE 802.11i features:
    * WPA-PSK ("WPA-Personal")
    * WPA with EAP (e.g., with RADIUS authentication server)
      ("WPA-Enterprise")
    * key management for CCMP, TKIP, WEP104, WEP40
    * WPA and full IEEE 802.11i/RSN/WPA2
    * RSN: PMKSA caching, pre-authentication

See the project web site or the eap_testing.txt file for a complete
list of supported EAP methods (IEEE 802.1X Supplicant), supported
drivers and interoperability testing.

%package gui
Group: System/Networking
Summary: Graphical tool for wpa_supplicant
Obsoletes: wpa_gui
Conflicts: wpa_supplicant < 1.0-3

%description gui
wpa_gui is a QT frontend for wpa_supplicant.
wpa_supplicant is a WPA Supplicant for Linux, BSD and Windows with
support for WPA and WPA2 (IEEE 802.11i / RSN).

%prep
%setup -q
%apply_patches

pushd wpa_supplicant
# (blino) comment all "network = { }" blocks
perl -pi -e '$_ = "# $_" if /^\s*network\s*=\s*{/ .. /^\s*}/' wpa_supplicant.conf
cp defconfig .config
popd

%build
%setup_compile_flags

pushd wpa_supplicant
# yes, BINDIR=_sbindir
export BINDIR="%{_sbindir}"
export LIBDIR="%{_libdir}"
%make
%make eapol_test 

pushd wpa_gui-qt4
 %qmake_qt4
 %make
popd
popd

%install
install -D -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service
install -D -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -D -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
install -D -m 0644 %{SOURCE4} %{buildroot}%{_tmpfilesdir}/%{name}.conf

pushd wpa_supplicant

# binaries
install -d %{buildroot}%{_sbindir}
install -m 755 wpa_supplicant %{buildroot}/%{_sbindir}
install -m 755 wpa_cli %{buildroot}/%{_sbindir}
install -m 755 wpa_passphrase %{buildroot}/%{_sbindir}
install -m 755 eapol_test %{buildroot}%{_sbindir}

# gui
install -d %{buildroot}%{_bindir}
install -m 755 wpa_gui-qt4/wpa_gui %{buildroot}%{_bindir}

# config
install -d -m 755 %{buildroot}%{_sysconfdir}
install -m 600 wpa_supplicant.conf %{buildroot}%{_sysconfdir}/wpa_supplicant.conf

# dbus
install -d %{buildroot}%{_sysconfdir}/dbus-1/system.d
install -d %{buildroot}%{_datadir}/dbus-1/system-services
install -m 644 dbus/dbus-wpa_supplicant.conf \
    %{buildroot}%{_sysconfdir}/dbus-1/system.d/wpa_supplicant.conf
install -m 644 dbus/fi.epitest.hostap.WPASupplicant.service \
    %{buildroot}%{_datadir}/dbus-1/system-services
install -m 0644 dbus/fi.w1.wpa_supplicant1.service \
     %{buildroot}%{_datadir}/dbus-1/system-services

# man pages
install -d -m 755 %{buildroot}%{_mandir}/man{5,8}
install -m 644 doc/docbook/*.8 %{buildroot}%{_mandir}/man8
install -m 644 doc/docbook/*.5 %{buildroot}%{_mandir}/man5

popd

%post
%_tmpfilescreate %{name}

%files
%doc wpa_supplicant/ChangeLog wpa_supplicant/README wpa_supplicant/eap_testing.txt wpa_supplicant/todo.txt
%doc wpa_supplicant/examples/*.conf
%attr(0600,root,daemon) %config(noreplace) %{_sysconfdir}/wpa_supplicant.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/wpa_supplicant
%config(noreplace) %{_sysconfdir}/sysconfig/wpa_supplicant
%{_unitdir}/wpa_supplicant.service
%{_tmpfilesdir}/wpa_supplicant.conf
%{_sbindir}/wpa_cli
%{_sbindir}/wpa_passphrase
%{_sbindir}/wpa_supplicant
%{_sbindir}/eapol_test
%{_sysconfdir}/dbus-1/system.d/wpa_supplicant.conf
%{_datadir}/dbus-1/system-services/fi.epitest.hostap.WPASupplicant.service
# Uncomment after it is enabled
%{_datadir}/dbus-1/system-services/fi.w1.wpa_supplicant1.service
%{_mandir}/man8/*
%exclude %{_mandir}/man8/wpa_gui.8.*
%{_mandir}/man5/*

%files gui
%{_bindir}/wpa_gui
%{_mandir}/man8/wpa_gui.8.*


%changelog
* Wed May 18 2016 luigiwalser <luigiwalser> 2.3-3.1.mga5
+ Revision: 1016800
- add upstream patches to fix CVE-2016-4476 and CVE-2016-4477

* Sat Oct 25 2014 tmb <tmb> 2.3-3.mga5
+ Revision: 793294
- dont install wpa_supplicant.service with executable permission

* Wed Oct 15 2014 umeabot <umeabot> 2.3-2.mga5
+ Revision: 749760
- Second Mageia 5 Mass Rebuild

* Thu Oct 09 2014 luigiwalser <luigiwalser> 2.3-1.mga5
+ Revision: 737793
- 2.3
- rediff libnl3 includes patch

* Tue Sep 16 2014 umeabot <umeabot> 2.2-2.mga5
+ Revision: 690370
- Mageia 5 Mass Rebuild

* Thu Jul 24 2014 luigiwalser <luigiwalser> 2.2-1.mga5
+ Revision: 656181
- 2.2
- update service unit file (from omdv)
- fix sysconfig file
- rediff defconfig patch
- rediff quiet-scan-results patch (from omdv)
- rediff generate-libeap-peer patch

* Mon Oct 21 2013 umeabot <umeabot> 2.0-2.mga4
+ Revision: 537432
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 guillomovitch <guillomovitch> 2.0-1.mga4
+ Revision: 487004
- new version 2.0
- sync patches set with fedora

* Sun Mar 24 2013 colin <colin> 1.1-4.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Tue Jan 22 2013 fwang <fwang> 1.1-3.mga3
+ Revision: 390934
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 1.1-2.mga3
+ Revision: 385852
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 luigiwalser <luigiwalser> 1.1-1.mga3
+ Revision: 339779
- 1.1

* Sun Nov 25 2012 colin <colin> 1.0-4.mga3
+ Revision: 321738
- Run systemd-tmpfiles --create on post install
- Fix paths to use /run directly
- Remove duplicate arguments from sysconfig file (also in systemd unit)
- Do not package tmpfiles conf in /etc

* Thu Oct 25 2012 wally <wally> 1.0-3.mga3
+ Revision: 310033
- move wpa_gui man page to gui subpkg

* Sat Oct 20 2012 tmb <tmb> 1.0-2.mga3
+ Revision: 308509
- add /var/run/wpa_supplicant dir as default config expects to find it (S4)

  + malo <malo>
    - update RPM group

* Thu Aug 16 2012 guillomovitch <guillomovitch> 1.0-1.mga3
+ Revision: 281472
- fix build with libnl3
- new version
- drop madwifi support, as tagged as deprecated, and unavailable in the distribution anyway
- add systemd service file from fedora

* Mon Mar 19 2012 tmb <tmb> 0.7.3-6.mga2
+ Revision: 224518
- build against libnl3

* Tue Jun 21 2011 mikala <mikala> 0.7.3-5.mga2
+ Revision: 111552
- Add patch5 to pass some arguments to wpa_supplicant when launched in dbus
- enable the new dbus interface in configuration file (needed by nm 0.9)
- sync wpa config build with fedora :
  	- enable more EAP (GSK, GSK_SHA256, FAST, FAX, TNC, IKEV2, PAX, )
  	- enable DRIVER_NL80211
  	- enable PKCS12 support
  	- enable SMARTCARD support
  	- enable WPS support

* Mon Jun 20 2011 mikala <mikala> 0.7.3-4.mga2
+ Revision: 110268
- Install wpa_supplicant1.service

* Mon Jun 20 2011 mikala <mikala> 0.7.3-3.mga2
+ Revision: 110253
- Disable patch1 in order to enable dbus interface (need by nm 0.9)
- Add patch3 from fedora (Send PropertyChanged notificationes when the BSS list changes)
- Add patch4 from fedora (Don't crash trying to pass NULL to dbus)

* Tue Feb 15 2011 tmb <tmb> 0.7.3-2.mga1
+ Revision: 51850
- imported package wpa_supplicant

